/*-- -------------------------- -->
<---          Contact           -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #contact-2320 {
    padding: var(--sectionPadding);
    display: flex;
    flex-direction: column;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
    position: relative;
    z-index: 1;
  }
  #contact-2320 .cs-container {
    width: 100%;
    /* changes to 1280px at desktop */
    max-width: 36.25rem;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
  }
  #contact-2320 .cs-container2 {
    width: 100%;
    /* changes to 1280px at desktop */
    max-width: 36.25rem;
    padding: 5rem 3rem;
    margin: auto;
    position: relative;
    z-index: 1;
  }
  #contact-2320 .cs-container2 .cs-topper {
    color: #fff;
  }
  #contact-2320 .cs-content {
    text-align: left;
  }
  #contact-2320 .cs-title {
    margin-bottom: 2rem;
  }
  #contact-2320 .cs-form {
    border-radius: 1rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.75rem;
  }
  #contact-2320 .cs-label {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    width: 100%;
    color: var(--headerColor);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 0.25rem;
  }
  #contact-2320 .cs-input {
    font-size: 1rem;
    width: 100%;
    height: 3.5rem;
    padding: 0;
    padding-left: 1.5rem;
    color: var(--headerColor);
    background-color: var(--primary);
    border: 1px solid var(--white);
    /* prevents padding from adding to height and width */
    box-sizing: border-box;
  }
  #contact-2320 .cs-input::placeholder {
    color: #7d799c;
    opacity: 0.6;
  }
  #contact-2320 .cs-textarea {
    min-height: 7.5rem;
    padding-top: 1.5rem;
    margin-bottom: 0.75rem;
    font-family: inherit;
  }
  #contact-2320 .cs-map {
    width: 100%;
    max-width: 39.375rem;
    height: 25rem;
    position: relative;
    z-index: 1;
    display: block;
  }
  #contact-2320 .cs-iframe-wrapper {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    /* 40px - 56px */
    bottom: clamp(2.5rem, 5vw, 3.5rem);
  }
  #contact-2320 .cs-iframe-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
  #contact-2320 .cs-box {
    width: 90%;
    max-width: 28.125rem;
    /* 16px - 32px top & bottom */
    /* 16px left & right */
    padding: clamp(1rem, 3vw, 2rem) clamp(1rem, 2.4vw, 1rem);
    background-color: var(--primary);
    border: 2px solid var(--primaryLight);
    display: flex;
    align-items: flex-start;
    gap: 0.5rem;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 100;
  }
  #contact-2320 .cs-box:before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--primary);
    pointer-events: none;
    opacity: 0.1;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #contact-2320 .cs-icon {
    width: 2rem;
    height: auto;
    display: block;
  }
  #contact-2320 .cs-flex {
    display: flex;
    flex-direction: column;
  }
  #contact-2320 .cs-header {
    font-size: 1.25rem;
    font-weight: 700;
    line-height: 1.2em;
    margin: 0 0 0.5rem;
    color: var(--headerColor);
  }
  #contact-2320 .cs-address {
    font-size: clamp(0.75rem, 2.8vw, 1rem);
    line-height: 1.5em;
    margin: 0;
    color: var(--bodyTextColor);
  }
  #contact-2320 .cs-hours {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  #contact-2320 .cs-hours-info {
    /* 20px - 25px */
    font-size: clamp(1.25rem, 3vw, 1.5625rem);
    line-height: 1.2em;
    font-weight: 700;
    width: 60%;
    max-width: 28ch;
    margin: 0;
    color: var(--bodyTextColorWhite);
  }
  #contact-2320 .cs-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #contact-2320 .cs-background:before {
    /* background color overlay */
    content: '';
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    background: #000;
    opacity: 0.72;
    top: 0;
    left: 0;
    z-index: 1;
  }
  #contact-2320 .cs-background img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /* Makes img tag act as a background image */
    object-fit: cover;
  }
}
/* Small Desktop - 1024px */
@media only screen and (min-width: 64rem) {
  #contact-2320 .cs-container {
    max-width: 80rem;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    gap: 3.25rem;
  }
  #contact-2320 .cs-container2 {
    max-width: 80rem;
  }
  #contact-2320 .cs-content {
    max-width: 32.625rem;
    /* 24px - 80px */
    padding: clamp(2rem, 5vw, 5rem) 0;
  }
  #contact-2320 .cs-title,
  #contact-2320 .cs-topper,
  #contact-2320 .cs-text {
    text-align: left;
    margin-left: 0;
  }
  #contact-2320 .cs-title {
    max-width: 32.625rem;
  }
  #contact-2320 .cs-services,
  #contact-2320 .cs-phone {
    width: 47%;
  }
  #contact-2320 .cs-button-solid {
    margin-left: 0;
  }
  #contact-2320 .cs-map {
    max-width: 39.375rem;
    height: auto;
    order: -1;
  }
}
/*-- -------------------------- -->
<---      Contact Strip         -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #contact-strip-1111 {
    padding: var(--sectionPadding);
    background-color: var(--primary);
    position: relative;
    z-index: 1;
  }
  #contact-strip-1111 .cs-stat-group {
    width: 100%;
    margin: auto;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /* reduced to 24px at tablet */
    gap: 2.5rem;
  }
  #contact-strip-1111 .cs-item {
    list-style: none;
    width: 18.125rem;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  #contact-strip-1111 .cs-item:hover .cs-picture {
    background-color: #fff;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    transform: scale(1.1);
  }
  #contact-strip-1111 .cs-picture {
    /* 48px - 80px */
    width: clamp(3rem, 5.7vw, 5rem);
    height: clamp(3rem, 5.7vw, 5rem);
    /* 12px - 20px */
    margin-right: clamp(0.75rem, 1.5vw, 1.25rem);
    border-radius: 50%;
    border: 1px solid var(--secondary);
    display: flex;
    justify-content: center;
    align-items: center;
    /* prevents flexbox from squishing it */
    flex: none;
    transition: background-color 0.3s, box-shadow 0.3s, transform 0.6s;
  }
  #contact-strip-1111 .cs-flex-group {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
  }
  #contact-strip-1111 .cs-icon {
    /* 20px - 40px */
    width: clamp(1.25rem, 2.5vw, 2.5rem);
    height: auto;
  }
  #contact-strip-1111 .cs-header {
    font-size: 1.25rem;
    color: var(--bodyTextColorWhite);
    font-weight: 900;
    line-height: 1.2em;
    margin: 0;
    margin-bottom: 0.75rem;
    display: block;
  }
  #contact-strip-1111 .cs-address,
  #contact-strip-1111 .cs-link {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    text-decoration: none;
    color: var(--bodyTextColorWhite);
    display: block;
  }
  #contact-strip-1111 .cs-link:hover {
    text-decoration: underline;
  }
  #contact-strip-1111 .cs-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #contact-strip-1111 .cs-background:before {
    /* background color overlay */
    content: "";
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    background: #1a1a1a;
    opacity: 0.84;
    top: 0;
    left: 0;
    z-index: 1;
  }
  #contact-strip-1111 .cs-background img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /* Makes img tag act as a background image */
    object-fit: cover;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #contact-strip-1111 .cs-stat-group {
    max-width: 80rem;
    flex-direction: row;
    justify-content: space-between;
    gap: 1.5rem;
  }
  #contact-strip-1111 .cs-item {
    width: auto;
  }
}
